{include file="Application/Home/View/Public/header.blade.php"}
<script>
    window.location.href="/web/index.html";
</script>
<!--游戏-->
<!--      <div class="Prompt allGame">
           <a class="nv" href="#">全部游戏</a>
           {literal}
           <div class="gameName">
               <ul>
                   <li v-for="(i,game) in games" v-if="i<6"><a href="#"><i class="icon icon-1"></i>{{ game.name }}</a></li>
                   其他游戏
                   <li class="post">
                       <a href="#"><i class="icon icon-8"></i>其他游戏 <i class="More"></i></a>
                   </li>
                   其他游戏结束
               </ul>
           </div>
           {/literal}
       </div> -->

<!-- <div id="js-notice-pop" class="ui-dialog-content ui-widget-content" scrolltop="0" scrollleft="0" style="width: auto; min-height: 0px; height: 562.28px; display: none; z-index: 99999; position: absolute; margin: 0 auto; left: 32.5%" >
    <div id="dnone">
        <div style="width: 100%">
            <a style="float: right;" id='close_me'>关闭</a>
        </div>
        <div style="width: 100%" v-for="(i,k) in Banner" v-if="k.advert_id == 3 && k.status == 1">
            <a v-bind:href="k.banner_link"> <img v-bind:src="k.banner_url"  onclick="offer();"></a>
        </div>
    </div>
</div> -->

<div id="js-notice-pop" class="ui-dialog-content ui-widget-content" scrolltop="0" scrollleft="0"
     style="width: auto; min-height: 0px; height: 562.28px; display: none; z-index: 99999; position: absolute; margin: 0 auto; left: 32.5%">
    <div id="dnone" style="display: none;">
        <div style="width: 53%;">
            <a style="" id='close_me'>我知道了</a>
        </div>


        <!-- <div style="width: 100%" v-for="(i,k) in Banner" v-if="k.advert_id == 3 && k.status == 1">
            <a v-bind:href="k.banner_link"> <img v-bind:src="k.banner_url"  onclick="offer();"></a>
        </div> -->
    </div>
</div>

<div class="ky_pop_info" style="display:none;">
    <img src="/Public/img/hg0207.jpg" style="margin-left:2px;">

</div>

</div>


<!--内容主体-->
<div style="padding-bottom: 20px">
    <!--轮播登录注册-->
    <div class="man">
        <div class="Eliminate py">
            <!--登录注册&&中奖滚动-->
            <div class="user yl">


                <!--已登录-->
                <div class="Roll">
                    <h4>最新中奖 <a href="#">
                        <!-- <i class="Refresh"></i> -->
                    </a></h4>

                    <div class="Winning">
                        {literal}
                        <ul class="borderTop">

                            <li v-for="z in prize">
                                <p v-text="z.account_name"></p>
                                <p v-text="z.name"></p>
                                <p><span v-text="z.money"></span>元</p>
                            </li>

                        </ul>
                        {/literal}
                    </div>
                </div>
            </div>
            <!--登录注册&&中奖滚动结束-->
            <!--轮播&&投注-->
            <div class="user ya">
                {literal}
                <!--轮播-->
                <div id="carousel-example-generic" class="carousel slide" data-ride="carousel" id="dn2">
                    <!-- Indicators -->
                    <ol class="carousel-indicators">
                        <li data-target="#carousel-example-generic" v-for="(i,k) in Banner" data-slide-to="0"
                            v-if="k.num == 0" class="active"></li>
                        <li data-target="#carousel-example-generic" v-if="k.num > 0 " v-for="(i,k) in Banner"
                            data-slide-to="{{k.num}}"></li>
                    </ol>

                    <!-- Wrapper for slides -->

                    <div class="carousel-inner" role="listbox">
                        <div class="item active" v-if="i==0 && k.type == 1 && k.status == 1"
                             v-for="(i,k) in Banner">

                            <a v-bind:href="k.banner_link"><img v-bind:src="k.banner_url"
                                                                style="width: 602px;height: 281px" alt=""></a>

                        </div>

                        <div class="item" v-if="i > 0 && k.type == 1 && k.status == 1" v-for="(i,k) in Banner">

                            <a v-bind:href="k.banner_link"><img v-bind:src="k.banner_url"
                                                                style="width: 602px;height: 281px" alt=""></a>

                        </div>

                    </div>
                </div>
                {/literal}
                <!--轮播结束-->

                {literal}
                <!--游戏投注-->
                <div class="Betting">
                    <div class="zooA Eliminate">
                        <h4 class="Prompt"><i class="Hot"></i> 热门彩种</h4>
                        <ul class="Prompt Eliminate red how" id="hotgame">
                            <li class="gameE active" v-for="(i,game) in games" v-if="i==0" data-id="{{game.identity}}"
                                data-name="{{game.table_name}}">
                                <a href="javascript:;" v-text="game.name"></a></li>
                            <li class="gameE" v-for="(i,game) in games" v-if="i<4&&i>0" data-id="{{game.identity}}"
                                data-name="{{game.table_name}}">
                                <a href="javascript:;" v-text="game.name"></a></li>
                            <li class="stillMore"><a href="/Home-Gamecenter/Index">更多游戏</a></li>
                        </ul>
                    </div>

                    <!--幸运28-->
                    <div class="number active">
                        <p>第<span class="yQnumber" v-text="nowInfo.info_no"></span>期 &nbsp; 截止时间 <span
                                    v-text="nowInfo.open_time" class="overtime"></span></p>

                        <div class="Eliminate ">
                            <div class="Prompt no lucky28 g ddl elsename" style="width: 400px;">
                                <span v-text="nowInfo.other.one"></span> + <span v-text="nowInfo.other.two"></span> +
                                <span v-text="nowInfo.other.three"></span> = <span v-if="nowInfo.other.color==-1"
                                                                                   class="gray"
                                                                                   v-text="nowInfo.other.code"></span><span
                                        v-else class="{{nowInfo.other.color}}" v-text="nowInfo.other.code"></span>
                            </div>
                            <div class="user jo">
                                <div class="Prompt"><a class="renovateGameNumber1" href="javascript:;"
                                                       onclick="gameImformation()"><i
                                                class="nRefresh"></i></a></div>
                                <div class="Prompt gtr tobet">
                                    <button type="button">投注</button>
                                </div>
                            </div>
                        </div>
                    </div>

                    {/literal}
                </div>
                <!--游戏投注结束-->
            </div>
            <!--轮播&&投注结束-->
        </div>

    </div>
    <!--轮播登录注册结束-->

    <!--过度-->
    <div class="man excessive" v-for="(i,k) in Banner" v-if="k.advert_id == 2 && k.status == 1" id="dn3">
        <a v-bind:href="k.banner_link"><img v-bind:src="k.banner_url" alt=""></a>
    </div>

    <!--过度结束-->


    <!--开奖&&活动-->
    <div class="man Eliminate">
        <!--活动-->
        <div class="Prompt activity red see">
            <h4>最新活动公告 <a href="/home-active/index">更多</a></h4>
            {literal}
            <ul>
                <li v-for="tel in active">
                    <a href="/Home-Active/lists?identity={{ tel.identity }}&type={{ tel.type }}&id={{ tel.child_id }}">
                        <p class="Prompt ma" style="width: 150px;" v-html="tel.title"></p>
                        <p class="user time" v-text="tel.time"></p>
                    </a>
                </li>
            </ul>
            {/literal}
        </div>

        <!--活动结束-->

        <!--开奖-->
        {literal}
        <div class="user see red TheLottery">
            <h4>最新开奖
                <span v-for="(i,game) in games" v-if="i==0" class="changegame defaultprize" data-id="{{game.identity}}"
                      data-name="{{game.table_name}}" data-type="1" v-text="game.name">
                 </span>
                <span v-for="(i,game) in games" v-if="i<5&&i>0" class="changegame" data-id="{{game.identity}}"
                      data-name="{{game.table_name}}" v-text="game.name">
                 </span>
                <a href="/home-LotteryNotice/index?game_name={{game.table_name}}" class="more_game">更多</a>
            </h4>

            <table class="table">
                <thead>
                <tr>
                    <th>游戏</th>
                    <th>期号</th>
                    <th>时间</th>
                    <th>开奖结果</th>
                    <th>投注注数</th>
                    <th>中奖注数</th>
                    <th>中奖金额</th>
                    <th>操作</th>

                </tr>
                </thead>
                <tbody class="prizeList">
                <tr v-for="(i,k) in kai" v-if="i<7">
                    <td v-text="kai.name"></td>
                    <td v-text="k.info_no"></td>
                    <td v-text="k.open_time"></td>
                    <td class="hw game28_codes"><span v-text="k.other.one"></span>+<span
                                v-text="k.other.two"></span>+<span v-text="k.other.three"></span>=<span
                                v-if="k.other.color==-1" class="gray" v-text="k.other.code"></span><span v-else
                                                                                                         class="{{k.other.color}}"
                                                                                                         v-text="k.other.code"></span>
                    </td>
                    <td class="hw gamepk10_codes" style="display: none;" v-text="k.codes"></td>
                    <td v-text="k.tol_tou"></td>
                    <td v-text="k.win_mun"></td>
                    <td v-text="k.win_money"></td>
                    <td class="dm">
                        <button type="button" onclick="ppl()">投注</button>
                    </td>
                </tr>
                </tbody>


            </table>
            <div class="show_tips" style="display: none;">没有游戏记录</div>


        </div>
        <!--开奖结束-->
        {/literal}

    </div>
    <!--开奖&&活动结束-->


    <!--开奖&&活动结束-->
</div>

<!--签到-->
<!--<div class="sigin">
    <a clstag="jr|keycount|jr_index|yhxx_qdao" class="sign" id="sign" onclick="document.querySelector('#sign_box').style.display='block'"><span>今日已签</span></a>

    <div id="sign_box" style="display: none">
        <div class="modal-mask"></div>
        <div class="modal-wrap" style="">
            <div class="modal" style="width: 350px; height: 540px; margin-top: -270px;">
                <div class="modal-content">
                    <div class="modal-body">
                        <div class="sign-box">
                            <div class="modal-close">
                                <a class="sign-close" onclick="document.querySelector('#sign_box').style.display='none'"></a>
                            </div>
                            <div class="sign-front">

                                <div class="sign-info">
                                    <b>签到</b>

                                    <div class="sign-g-w sign-total">
                                        <div class="sign-gift s-total" id="sign_money">点击签到得彩金</div>

                                    </div>
                                </div>

                                <div class="sign-process">
                                    <ul>
                                        <li class="">
                                            <b class="icon"><span>1</span></b>

                                        </li>
                                        <li class="addcss">
                                            <b class="icon"><span>2</span></b>
                                            <span class="line"></span>
                                        </li>
                                        <li class="">
                                            <b class="icon"><span>3</span></b>
                                            <span class="line"></span>
                                        </li>
                                        <li class="">
                                            <b class="icon"><span>4</span></b>
                                            <span class="line"></span>
                                        </li>
                                        <li class="">
                                            <b class="icon"><span>5</span></b>
                                            <span class="line"></span>
                                        </li>
                                        <li class="">
                                            <b class="icon"><span>6</span></b>
                                            <span class="line"></span>
                                        </li>
                                        <li class="last">
                                            <b class="icon"><span></span></b>
                                            <span class="line"></span>
                                        </li>
                                    </ul>
                                </div>
                                <div class="sign-text"><span>已连续签到 <b id="days"></b>天，连续 7 天有惊喜哟  </span><a id="details">详情</a></div>
                                <div class="sign-btn"><a id="ok_btn">我知道了</a></div>
                                <div class="sign-promotion"><a clstag="jr|keycount|jr_index|yhxx_qdao_kw" target="_blank"
                                                               href="//jrdc.jd.com/dh/nc?keyStr=cKtgYuqkhM1TKh4h2INsKVf6WKGN1ExVSsGIy%2BOXa2KYJeu9k9OcNSOHozfLJDQnXvOidl9mxMzke8n5RsCvMw9KRS845BDMuYOBiTlh1JwTe8dU78mgwotd1jYiGBv7VZxOxFZp77UydZLCUgrty8%2FrsndwumHG&amp;to=https://z.jd.com/project/details/104903.html"><span
                                                class="promotion-img"
                                                style="background-image: url('../../public/Home/img/sign-bg.png') im;"></span>
                                        <div class="promotion-text">
                                            <div class="promotion-name">新大洲本田</div>
                                            <div class="promotion-subName">智慧型风尚摩托车</div>
                                        </div>
                                    </a></div>
                            </div>
                            <div class="sign-back">
                                <div class="sign-rule">
                                    <div class="rule-tit">详细规则</div>
                                    <div class="rule-content"><p>1.
                                            金融首页“每日签到”、金融会员中心“每日签到”，和金融App“会员签到”同属“签到”类活动，一个用户每天总计只能参加1次。</p>
                                        <p>2. 每天签到有机会获得不等钢镚奖励，连续7天“签到”有机会获得额外惊喜。</p>
                                        <p>3. 若存在用户恶意刷奖行为，京东金融有权取消其获奖资格，并保留相关法律权利。</p>
                                        <p>4. 钢镚可直接用于支付京东商城订单，在消费时1钢镚可抵1元现金使用，钢镚支付不得超过每笔订单结算金额的99%。<br>(京东钢镚可用于支付京东商城网站自营且为京东配送的订单。拍卖、金银类、收藏品、虚拟产品、节能补贴、全球购、京东大药房等不支持钢镚支付。)
                                        </p>
                                        <p>5. 京东钢镚不设有效期，可永久使用。</p></div>
                                    <div class="sign-btn"><a id="back">返回</a></div>
                                </div>
                                <div class="sign-btn"><a onclick="document.querySelector('#sign_box').style.display='none'">我知道了</a></div>
                                <div class="sign-promotion"><a clstag="jr|keycount|jr_index|yhxx_qdao_kw" target="_blank"
                                                               href="//jrdc.jd.com/dh/nc?keyStr=cKtgYuqkhM1TKh4h2INsKVf6WKGN1ExVSsGIy%2BOXa2KYJeu9k9OcNSOHozfLJDQnXvOidl9mxMzke8n5RsCvMw9KRS845BDMuYOBiTlh1JwTe8dU78mgwotd1jYiGBv7VZxOxFZp77UydZLCUgrty8%2FrsndwumHG&amp;to=https://z.jd.com/project/details/104903.html"><span
                                                class="promotion-img"
                                                style="background-image: url(&quot;//img30.360buyimg.com/jr_courier/jfs/t1/5643/6/4131/10408/5b9b7577E355393f4/68688f6322be80e3.png&quot;);"></span>
                                        <div class="promotion-text">
                                            <div class="promotion-name">新大洲本田</div>
                                            <div class="promotion-subName">智慧型风尚摩托车</div>
                                        </div>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>-->


<!--底部-->

<footer>
    <div class="footer">
        <div class="red">
            <a href="/Home-Index/Index">首页</a>
            <a href="/Home-Gamecenter/Index">游戏中心</a>
            <a href="/home-active/index">优惠活动中心</a>
            <a href="/home-HelpCenter/index">帮助中心</a>
            <a :href="webinfo.app_download">手机下载</a>
            <a href="/Home-Account/Index">会员中心</a>
        </div>

        <p>
            {literal}

            <div class="about_box" id="about_box">
                <ul class="foot_info">
                    <li class="foot_wljc"></li>
                    <li class="foot_wangan"></li>
                    <li class="foot_wsjy"></li>
                    <li class="foot_xylh"></li>
                    <li class="foot_kxwz"></li>
                </ul>
        <p>2009-2020©<a>{{webinfo.netname}}</a> | 客服邮箱：<a href="mailto:{{webinfo.con_email}}">
                <span class="eng">{{webinfo.con_email}} </span></a> |
            客服QQ：<a href="http://wpa.qq.com/msgrd?v=3&uin={{qq}}&site=qq&menu=yes" target="_blank"><span class="eng">{{ qq }} </span></a> <br><span class="">{{webinfo.netname}}郑重提示：彩票有风险，投注需谨慎！</span>
            不向未满18周岁的青少年出售彩票</p>
        <div class="clear"></div>

    </div>
    {/literal}
    </p>
    </div>
</footer>
<style>
    #mask{
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 9999;
        background-color: #000;
        opacity: 0.3;
        position: fixed;
    }
    #showimg{
        -webkit-animation-name: layer-bounceIn;
        animation-name: layer-bounceIn;
        position: fixed;
        m-webkit-overflow-scrolling: touch;
        top: 150px;
        left: 0;
        right: 0px;
        margin: 0;
        padding: 0;
        pointer-events: auto;
        width: 750px;
        margin: 0px auto;
        z-index: 999999;
    }
    #showimg .colse{
        width: 20px;
        height: 20px;
        text-align: center;
        color: #fff;
        font-weight:bold;
        position: absolute;
        top:0px;
        right: 0px;
        cursor: pointer;
        z-index: 10;
    }
    #showimg img{
        width: 100%;
        position: relative;
    }
    .sigin{
        display: none;
    }
</style>
<div id="mask" style="display: none;"></div>
<div id="showimg" style="display: none;">
    <div class="colse">X</div>
</div>
<script src="/Public/Home/js/bootstrap.min.js"></script>
<!--<script src="/Public/js/jquery.cookie.js"></script>-->
{literal}
<script type="text/javascript">
    window.onscroll=function () {
        var oSign=document.getElementById('sign');
        var scrollTop=document.documentElement.scrollTop||document.body.scrollTop;

        //oSign.style.top=scrollTop+(document.documentElement.clientHeight-oSign.offsetHeight)/2+'px';
        var t=scrollTop+(document.documentElement.clientHeight-oSign.offsetHeight)/2;

        startMove(parseInt(t));
    }

    var timer=null;

    function startMove(iTarget) {
        var oSign=document.getElementById('sign');

        clearInterval(timer);
        timer=setInterval(function (){
            var iSpeed=(iTarget-oSign.offsetTop)/8;
            iSpeed=iSpeed>0?Math.ceil(iSpeed):Math.floor(iSpeed);

            if(oSign.offsetTop==iTarget)
            {
                clearInterval(timer);
            }
            else
            {
                oSign.style.top=oSign.offsetTop+iSpeed+'px';
            }
        }, 30);
    }


    var details=document.querySelector('#details')
    var signBtn=document.querySelector('#back')
    var back=document.querySelector('.sign-back')
    var ok_btn=document.querySelector('#ok_btn')

    details.onclick=function () {
        back.style.zIndex=3;
        back.style.transform='rotateY(0deg)';
    }
    signBtn.onclick=function () {
        back.style.zIndex=1;
        back.style.transform='rotateY(-180deg)';
    }
    ok_btn.onclick=function () {
        document.querySelector('#sign_box').style.display='none'
    }

</script>
<style>
    .foot_box .about_box {
        border: none;
        margin: 0px auto;
    }

    .foot_info {
        overflow: hidden;
        margin-bottom: 10px;
        margin: 0px auto 0px auto;
        width: 750px;
    }

    .foot_info li.foot_wangan {
        background-position: 0 -45px;
    }

    .foot_info li.foot_wsjy {
        background-position: 0 -90px;
    }

    .foot_info li.foot_xylh {
        background-position: 0 -135px;
    }

    .foot_info li.foot_kxwz {
        background-position: 0 -180px;
    }

    .foot_info li.foot_wljc {
        background-position: 0 0;
    }

    .foot_info li {
        float: left;
        width: 120px;
        height: 45px;
        background: url(/Public/img/footer_img.png) no-repeat;
        margin: 0 10px;
    }

    .about_box p {
        line-height: 22px;
        text-align: center;
    }

    .how li {
        float: left;
        margin-left: 10px;
    }

    .zooA > h4 {
        margin: 0px 10px 0px 0px;
    }

    body .layui-ky-pop .layui-layer-title {
        background: #e71c49;
        color: #f2f2f2;
        border: none;
        border: 2px solid white;
    }

</style>
<script>
    //鼠标移入显示
    /**  $(".gameList>li").mouseover(function () {
            $(".kin").mouseover(function () {
                $(this).css("display","block")
            });
            $(".kin").mouseout(function () {
                $(this).css("display","none")
            });
                var s=$(this).attr("data-status");
                if(s==2){
                    var idx=$(this).index();
                    var l=/Public/Home/js/on[idx].subgame;
                    console.log(l);
                    $(".kin").css("display","block");
                    var Str='';
                    for(var s=0;s<l.length;s++){
                        Str += '<li><a href="/Home/Bet/Index?gameid='+l[s].identity+'">'+l[s].name+' </a></li>';
                    }
                    $(".gamehc").html(Str);
                }
                if(s==undefined){
                    $(".kin").css("display","block");
                    //其他游戏
                    var Str='';
                    for(var o=7;o</Public/Home/js/on.length;o++){
                        Str += '<li><a href="/Home/Bet/Index?gameid='+/Public/Home/js/on[o].identity+'">'+/Public/Home/js/on[o].name+' </a></li>';
                    }
                    $(".gamehc").html(Str);
                }
            });
     $(".gameList>li").mouseout(function () {
                $(".kin").css("display","none")
            })
     }
     });**/

    function autoScroll(obj) {
        $(obj).find("ul").animate({
            marginTop: "-25px"
        }, 1000, function () {
            $(this).css({marginTop: "0px"}).find("li:first").appendTo(this);
        })
    };
    function setCookie(cname,cvalue,minute){
        var d = new Date();
        d.setTime(d.getTime()+(minute*60*1000));
        var expires = "expires="+d.toGMTString();
        document.cookie = cname+"="+cvalue+"; "+expires;
    }
    function getCookie(cname){
        var name = cname + "=";
        var ca = document.cookie.split(';');
        for(var i=0; i<ca.length; i++) {
            var c = ca[i].trim();
            if (c.indexOf(name)==0) { return c.substring(name.length,c.length); }
        }
        return "";
    }

    $(function () {

        $.ajax({
            url: '/api-other/Mobile_tan',
            type: 'post',
            data: {},
            dataType: 'json',
            success: function (data) {
                if(getCookie("maskcookie") == 'undefined' || getCookie("maskcookie") =='' || getCookie("maskcookie") == null){
                    setCookie('maskcookie', '1',10);
                    var extinfo = data.data.extinfo.split(",");
                    if (extinfo[0] == 1) {
                        layer.confirm(data.data.infocontent, {
                            btn: ['我知道了'] //按钮
                        });
                    }
                    else {
                        var src = data.data.remarks;
                        $("#showimg").append('<img src="'+src+'">');
                        $("#mask,#showimg").show();
                    }
                }


            },
            error: function (e) {
                layer.confirm('接口异常', {
                    btn: ['我知道了'] //按钮
                });
            }
        });
        $("#showimg .colse").click(function () {
            $("#showimg,#mask").hide();
        });
    })

    $(function () {
        setInterval('autoScroll(".Winning")', 1500);
        $('#js-notice-pop').show();
    });

    $('body').on('click', '#close_me', function () {
        $('#js-notice-pop').hide();
    })

    var body = new Vue({
        el: 'body',
        data: {
            account: [],
            games: [],//游戏列表
            prize: [],//最近中奖
            kai: [],//最近开奖
            active: [],//最近活动
            tell: [],//公告
            nowInfo: [],//当前游戏信息
            prizegamename: [], //当前开奖游戏名称
            Banner: [], //当前开奖游戏名称
            todos:[],
            webinfo:[],
            qqurl:'',
            qq:'',
            con_onlines:''
        }
    });
    //初始化页面执行
    $(function () {
        getAccount();
        getAccountstype();
        getAccounts();
        getGames();
        getPrize();
        getKai('xy28');
        getActive('1,2,3');
        preGame('xy28');
        getSignInfo();
        //签到

    });

    function getSignInfo(id=6) {
        apiAjax('/Api-Signin/signInfo',{id:id},function (data) {

            if(data.status===1){
                let days    =   data.data.days.num;
                showDays(days)
                $("#days").text(days)
                if(data.data.signed>0){
                    $(".sign-info").css("background-image","none")
                    $("#sign_money").text('获得彩金'+data.data.money+'元')
                    $(".sign-info b").text("已签到")
                }
            }
        })
        $(".sigin").show()
    }

    function showDays(day){
        let lis =  $(".sign-process li")
        lis.each(function (k,v) {
            if(k>=0&&k<=day-1)
               $(this).addClass("active")

        })


    }

    $(".sign-info ").click((id) => {
        let hasSign   =  $(".sign-info b").text()
        if(hasSign=='已签到'){
            layer.msg("今日已签到!")
            return false;
        }

        let storage = window.localStorage;
        let token = storage.getItem('token')
        $.ajax({
            url: '/Api-Signin/goSign?token='+token,
            type: "POST",
            data: {
                id:6,
                token:token,
                "newdevice[point]":"",
                "newdevice[device]":"",
                "newdevice[uuid]":""

            },
            success: (data)=> {
                console.log(data.data);
                if(data.status===1)
                {   getSignInfo(id=6)//签到后刷新签到天数状态
                    $(".sign-info").css("background-image","none")
                    $("#sign_money").text('获得彩金'+data.data.money+'元')
                    layer.msg("签到成功")
                    $(".sign-info b").text("已签到")
                }else {
                    layer.msg(data.msg )
                }

               // $(".sign-info ").unbind()

            },
            error: (r)=> {

            },
        });


    })


    //获取图片
    function getAccounts() {
        $.getJSON('/api-Other/Banner', {}, function (data) {
            console.log(data);
            body.Banner = data.data;
        });
    }

    function getAccountstype() {
        $.getJSON('/api-Other/BannerType', {}, function (data) {
            var data = data.data;
            //console.log(data);
            for (var i = 0; i < data.length; i++) {
                if (data[i].type == '1' && data[i].status == '2') {
                    $('#dn2').hide();

                }
                if (data[i].type == '2' && data[i].status == '2') {
                    $('#dn3').hide();

                }
                if (data[i].type == '3' && data[i].status == '2') {
                    $('#dnone').hide();

                }
            }

        });
    }

    //获取用户余额，用户名
    function getAccount() {
        $.getJSON('/api-selfCenter/ReMoney', {}, function (data) {
            // console.log(data);
            body.account = data.data;
        });
    }

    //获取开奖列表信息
    function getGames() {
        $.getJSON('/api-GameCenter/GetGame', {}, function (data) {
            var val = [];
            for(var i=0;i<data.data.length;i++){
                if(data.data[i]['table_name']!=-1){
                    val.push(data.data[i]);
                }
            }
//            $.each(val,function () {
//                console.log($(this));
//                var temp=$(this)[0];
//                if((temp.table_name!='gpxy28'||temp.table_name!='gpjnd28')){
//                    body.games.push(temp);
//                }
//            });
            body.games = val;
            setTimeout(function () {
                $('#hotgame a').on('click', function () {
                    var nm = $(this).parents('li').attr('data-name');
                    if (nm == -1) {
                        alert('敬请期待');
                        return false;
                    }
                    location.href = "/Home-" + nm + "/Index";
                })
            }, 300)

        });
    }

    //获取最近中奖信息
    function getPrize() {
        var $random = '', num = {};
        $.getJSON('/api-gameCenter/PrizeRecord', {}, function (data) {
            console.log(data);
            body.prize = data.data;
            // var data=data.data;
            //  if(!$.isEmptyObject(data))
            //  {
            //      for (var i in data)
            //      {
            //          if(data[i] instanceof Object)
            //          {
            //              $random += '<li><p>'+data[i]['account_name']+'</p><p>'+data[i]['name']+'</p><p><span>'+Math.floor(Math.random()*900000+100000)+'</span>元</p></li>'
            //          }

            //      }
            //  }
            //  $('.borderTop').html($random)
        });
    }

    //获取最近开奖信息,默认幸运28
    function getKai($game_name) {
        $.getJSON('/api-GameCenter/Lottery', {game_name: $game_name}, function (data) {
            // console.log('jnd28');
            // console.log(data);
            body.kai = data.data;
            console.log('历史开奖信息',body.kai);
            $('.more_game').attr('href', '/Home-LotteryNotice/Index?game_name=' + $game_name);
        });
    }

    function prizeInfo() {
        var game_name = $('.defaultprize').attr('data-name');
        $.getJSON('/api-GameCenter/Lottery', {game_name: game_name}, function (data) {
//          console.log(data);
            body.kai = data.data;
            $('.more_game').attr('href', '/Home-LotteryNotice/Index?game_name=' + game_name);
        });
    }

    //最近活动列表
    function getActive($type, $page) {
        $page = 1;
        $.post('/api-notice/Notice', {type: $type, curpage: $page}, function (data) {
//            console.log(data);
            body.active = data.data.data;
        }, 'json');
    }

    /**
     * 获取前一期数据
     * @return {[type]} [description]
     */
    function preGame($game_name) {
        $.getJSON('/api-GameCenter/preGame', {game_name: $game_name}, function (data) {
            body.nowInfo = data.data;
        });
    }


    function gameImformation() {
        var gname = $('#hotgame .active').attr('data-name');
        //游戏的号码
//        console.log(gname)
        apiAjax('/api-gameCenter/nowGame?game_name=' + gname, '', function (data) {
            if (data.status > 0) {
                var allData = data.data;
//                console.log(allData);
                $(".yQnumber").text(allData.info_no);//期数
                $(".overtime").text(allData.open_time);//结束时间

            }
        });
        apiAjax('/api-GameCenter/preGame?game_name=' + gname, '', function (data) {
            if (data.status > 0) {
                var allData = data.data;
                console.log(allData);
                var str = '';
                if (gname === 'bjpk10' || gnagname === 'hlsmpk10' || me === 'hlftpk10' ||  gname === 'jspk10' || gname === 'luckyft' || gname == 'cqssc' || gname == 'hljssc' || gname == 'ynssc' || gname == 'ynhnssc') {
                    var bjpkData = allData.codes;
                    bjpkData = bjpkData.split(',');
                    for (var i = 0; i < bjpkData.length; i++) {
                        str += '<span>' + bjpkData[i] + '  </span>';
                    }
                } else if (gname === 'xy28' || gname === 'jnd28' || gname === 'gpjnd28' || gname === 'gpxy28') {
                    var data28 = allData.other;
                    str += '<span>' + data28.one + '</span> + <span>' + data28.two + '</span> + <span>' + data28.three + '</span> = <span id="ios">' + data28.code + '</span>';
                } else {

                }

                $('.elsename').html(str);
            }
        });
    }

    setTimeout(gameImformation, 200);
    $(function () {

        $(document).on('mouseover', "#hotgame .gameE", function () {
            $('.gameE').removeClass('active');
            $(this).addClass('active');
            gameImformation();
        })

    })

    //去投注
    $(function () {
        $('.tobet button').each(function (e) {
            $(this).on('click', function () {
                var gname = $('#hotgame .active').attr('data-name');
                if (gname != -1) {
                    window.location.href = "/Home-" + gname + "/Index";
                }

            })
        })
    });

    //刷新游戏
    $(function () {
        $('.nRefresh').each(function (e) {
            $(this).on('click', function () {
                gameImformation();
            })
        })
    });

    function ppl() {
        var gameName = $('.defaultprize').attr('data-name');
        if (gameName != -1) {
            window.location.href = "/Home-" + gameName + "/Index";
        }
    }

    /*
    *开奖公告
     */
    $(function () {
        $(document).on('click', '.changegame', function () {
            var datatype = $(this).attr('data-type');
            if (datatype == 1) {
                return false;
            } else {
                $(".changegame").attr('data-type', 2);
                $(this).attr('data-type', 1);
                $(".changegame").removeClass('defaultprize');
                $(this).addClass('defaultprize');
                var ids = $(this).attr('data-id');
                var gname = $(this).attr('data-name');
                $(this).parent().find('a').attr({'href': '/Home-LotteryNotice/Index?game_name=' + gname});

                apiAjax('/api-GameCenter/Lottery?game_name=' + gname, '', function (data) {
                    //console.log(data)
                    if (data.status > 0) {
                        //     $('.prizeList tr').attr('style','display:block;');
                        //     $('.prizeList .nodata').attr('style','display:none;');
                        //     $('.prizeList .nodata').html('');
                        if (gname == 'xy28' || gname == 'jnd28') {
                            $('.game28_codes').show();
                            $('.gamepk10_codes').hide();


                        } else if (gname == 'bjpk10' || gname == 'jspk10' || gname == 'hlsmpk10' || gname == 'hlftpk10' || gname == 'luckyft' || gname == 'cqssc' || gname == 'hljssc' || gname == 'ynssc' || gname == 'ynhnssc') {
                            $('.game28_codes').hide();
                            $('.gamepk10_codes').show();

                        }
                        body.kai = data.data;
                        $('div.show_tips').hide();
                        $('.prizeList').show();
                    } else {
                        //                   body.kai=null;

                        $('.prizeList').hide();
                        //     $('.prizeList tr').attr('style','display:none;');
                        //     $('.prizeList .nodata').attr('style','display:block;');

                        $('div.show_tips').show();

                    }
                });
            }

        })

    })


/*    var wepQQ=new Vue({
        el:'#qq',
        data:{
            qqurl:[]
        }
    });*/
    $(function () {
/*        apiAjax('/api-other/getQQ', {}, (data) =>{
            wepQQ.qqurl = data.data;
            body.qq = data.data.qq;
            body.qqurl = data.data.url;

            console.log('qqurl', body.qqurl)

        });*/

        apiAjax('/api-SystemInfo/DefaultInfo', {}, (e)=>{
            if(e.status>0){
                let url = document.domain;
                let  data    =   e.data
                body.qq = data.con_qq;
                body.con_onlines = data.con_onlines;
                data['netname'] =   data['netname']+'('+url+')'
                body.webinfo=data;

            }
        });
    });


    $(function () {
        apiAjax('/Api-Account/getAccount', '', function (data) {
            if (data.data == '' || data.data == 'null' || data.data == null) {
                return false;
            } else {
                if (data.data.status == 4) {
                    $(".withdrawaction-indexpage").hide().attr('href', 'javascript:;');
                    $(".recharge_hc").hide().attr('href', 'javascript:;');
                }
            }


        });

    });


    $(function() {
        kaiYou.id = "{/literal}{$smarty.get.id}{literal}";
        var id = kaiYou.id;
        apiAjax("/Api-LotterMoney/getInfo?active_type="+id, {}, function (data) {
            console.log(data);
            data.status=data.status;
            data.msg=data.msg;
            if(data.status==1){
                data.todos = data.data;
            }
        });
    })

    function addlog() {
        kaiYou.id = "{/literal}{$smarty.get.id}{literal}";
        var id = kaiYou.id;
        var can_get = $(".can_get").text();
        var water = $(".can_get").attr('data-water');
        if (can_get<=0) {
            return;
        }
        console.log(can_get);
        apiAjax("/Api-LotterMoney/addlog", {lot_id:id,can_get:can_get,water:water}, function (data) {
            if (status==1) {
                alert(data.msg);
            }else{
                alert(data.msg);
            }
        });
    }

</script>
<!--<script src="/Public/Home/js/safeopen.js"></script>-->
{/literal}
</body>
</html>